/* global Packages, sc */

let objects = require('common/objects');

let path =  'agorum.open.example.import.csv';

// create default project acl without world group
createAcl('agorum.open.example.import.csv', false);

// sample: create default project acl with world group
// createAcl('agorum.open.example.import.csv', true);

function createAcl(aclName, world) {
  let acl = objects.tryFind('acl:' + 'ACL_' + aclName);
  if (!acl) {
    let aclSettings = {
      name: 'ACL_' + aclName,
      path: path
    };

    if (world) {
      aclSettings.entries = [
        {
          entity: 'group:world',
          access: 'read'
        }
      ];
    }
    
    return objects.create('acl', aclSettings);  
  }
}
